# createOrderedProductV2

### Arguments

| Argument                                                                                                                                   | Description                           |
| ------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------- |
| input ([CreateOrderedProductV2Input](https://developer.firmhouse.com/graphql-api/api-reference/objects/create-ordered-product-v-2-input)!) | Parameters for CreateOrderedProductV2 |

### CreateOrderedProductV2Input Arguments

| Argument                                                                                                                                                                      | Description                                                                                                    |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| metadata ([JSON](https://developer.firmhouse.com/graphql-api/api-reference/objects/json))                                                                                     | Metadata that can be used by developers to store additional information on objects.                            |
| id ([ID](https://developer.firmhouse.com/graphql-api/api-reference/objects/id))                                                                                               | ID of this ordered product. This will be ignored on create action.                                             |
| productId ([ID](https://developer.firmhouse.com/graphql-api/api-reference/objects/id))                                                                                        | ID for the related product                                                                                     |
| quantity ([Int](https://developer.firmhouse.com/graphql-api/api-reference/objects/int))                                                                                       | The quantity for this ordered product.                                                                         |
| customPriceCents ([Int](https://developer.firmhouse.com/graphql-api/api-reference/objects/int))                                                                               | A custom price in cents for this ordered product, if left blank the default product price will be used         |
| shipmentDate ([ISO8601Date](https://developer.firmhouse.com/graphql-api/api-reference/objects/iso-8601-date))                                                                 | The next date on which a new order should get initiated                                                        |
| interval ([Int](https://developer.firmhouse.com/graphql-api/api-reference/objects/int))                                                                                       | The amount of time in units between shipments of this order                                                    |
| intervalUnitOfMeasureType ([OrderedProductIntervalUnitOfMeasure](https://developer.firmhouse.com/graphql-api/api-reference/objects/ordered-product-interval-unit-of-measure)) | The time measure for interval units                                                                            |
| status ([OrderedProductStatus](https://developer.firmhouse.com/graphql-api/api-reference/objects/ordered-product-status))                                                     | The status of the ordered product                                                                              |
| minimumCommitmentEndsAt ([ISO8601Date](https://developer.firmhouse.com/graphql-api/api-reference/objects/iso-8601-date))                                                      | The date at which the minimum commitment ends for this product                                                 |
| maximumCommitmentEndsAt ([ISO8601Date](https://developer.firmhouse.com/graphql-api/api-reference/objects/iso-8601-date))                                                      | The date at which the maximum commitment ends for this product                                                 |
| ensureNewRecord ([Boolean](https://developer.firmhouse.com/graphql-api/api-reference/objects/boolean))                                                                        |                                                                                                                |
| subscriptionId ([ID](https://developer.firmhouse.com/graphql-api/api-reference/objects/id))                                                                                   | ID of the subscription to create this OrderedProduct for. Required if authenticated via a project access token |
| sku ([String](https://developer.firmhouse.com/graphql-api/api-reference/objects/string))                                                                                      | Use this field to look up the associated product based on SKU.                                                 |
| slug ([String](https://developer.firmhouse.com/graphql-api/api-reference/objects/string))                                                                                     | Use this field to look up the associated product based on slug.                                                |
| shopifyVariantId ([ID](https://developer.firmhouse.com/graphql-api/api-reference/objects/id))                                                                                 | Use this field to look up the associated product based on Shopify Variant ID.                                  |
| skipPlanGroupCheck ([Boolean](https://developer.firmhouse.com/graphql-api/api-reference/objects/boolean))                                                                     | When true, allows adding a product that is outside the subscription's current plan group.                      |

### Return fields

#### errors (\[[String](https://developer.firmhouse.com/graphql-api/api-reference/objects/string)!]!)

#### orderedProduct ([OrderedProduct](https://developer.firmhouse.com/graphql-api/api-reference/objects/ordered-product))

#### subscription ([Subscription](https://developer.firmhouse.com/graphql-api/api-reference/objects/subscription))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/create-ordered-product-v-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
